#setwd

source('00-libraries.R')
source('estimation_helpers.R')
source('sets_of_variables.R')


# Table 3: Stepwise Abroad Schengen OR Eu
# -------------------------------------------------------------------------
e <- list()
e[['Free Move1']]     <- readRDS('tmp_output/est-abr_log_fe_fr1.rds')
e[['Free Move2']]     <- readRDS('tmp_output/est-abr_log_fe_fr2.rds')
e[['Free Move3']]     <- readRDS('tmp_output/est-abr_log_fe_fr.rds')
e[['Rest. Move1']] <- readRDS('tmp_output/est-abr_log_fe_nonfr1.rds')
e[['Rest. Move2']] <- readRDS('tmp_output/est-abr_log_fe_nonfr2.rds')
e[['Rest. Move3']] <- readRDS('tmp_output/est-abr_log_fe_nonfr.rds')

MyTexReg(e, as.list(vl.bea)) %>%
  AddMidrules(c(
    vl.bea['gdp.pc.l']
  )) %>%
  cat(file = 'table3.tex')


# Table 4: Stepwise in Germany Schengen OR Eu
# -------------------------------------------------------------------------
e <- list()
e[['Free Move1']]     <- readRDS('tmp_output/est-ger_log_fe_fr1.rds')
e[['Free Move2']]     <- readRDS('tmp_output/est-ger_log_fe_fr2.rds')
e[['Free Move3']]     <- readRDS('tmp_output/est-ger_log_fe_fr.rds')
e[['Rest. Move1']] <- readRDS('tmp_output/est-ger_log_fe_nonfr1.rds')
e[['Rest. Move2']] <- readRDS('tmp_output/est-ger_log_fe_nonfr2.rds')
e[['Rest. Move3']] <- readRDS('tmp_output/est-ger_log_fe_nonfr.rds')


MyTexReg(e, as.list(vl.bea)) %>%
  AddMidrules(c(
    vl.bea['gdp.pc.l']
  )) %>%
  cat(file = 'table4.tex')


# Table 5: Abroad with Capitals and Big Cities - Schengen OR EU
# -------------------------------------------------------------------------
e <- list()
e[['Cap (Free Move)']]     <- readRDS('tmp_output/est-abr_log_fe_bigfr.rds')
e[['No-Cap (Free Move)']]  <- readRDS('tmp_output/est-abr_log_fe_nbigfr.rds')
e[['Cap (Rest. Move)']]    <- readRDS('tmp_output/est-abr_log_fe_bignfr.rds')
e[['No-Cap (Rest. Move)']] <- readRDS('tmp_output/est-abr_log_fe_nbignfr.rds')

MyTexReg(e, as.list(vl.bea)) %>%
  AddMidrules(c(
    vl.bea['gdp.pc.l']
  )) %>%
  cat(file = 'table5.tex')


# Table 6: BJ main specifications - Schengen OR EU
# -------------------------------------------------------------------------
e <- list()
e[['Abr. (EU)']]     <- readRDS('tmp_output/est-abr_log_bj_fr.rds')
e[['Abr. (non-EU)']] <- readRDS('tmp_output/est-abr_log_bj_nfr.rds')
e[['Ger. (EU)']]     <- readRDS('tmp_output/est-ger_log_bj_fr.rds')
e[['Ger. (non-EU)']] <- readRDS('tmp_output/est-ger_log_bj_nfr.rds')

MyTexReg(e, as.list(vl.bea.wb)) %>%
  AddMidrules(c(
    vl.bea.wb['gdp.pc.l']
  )) %>%
  cat(file = 'table6.tex')


# Table 7: IV Abroad
# -------------------------------------------------------------------------
e <- list()
e[['Free Move 1s']]       <- readRDS('tmp_output/est-abr_log_IV_fr1s.rds')
e[['Free Move 2s']]       <- readRDS('tmp_output/est-abr_log_IV_fr2s.rds')
e[['Free Move FE']]       <- readRDS('tmp_output/est-abr_log_IV_frFe.rds')
e[['Rest. Move 1s']]      <- readRDS('tmp_output/est-abr_log_IV_nonfr1s.rds')
e[['Rest. Move 2s']]      <- readRDS('tmp_output/est-abr_log_IV_nonfr2s.rds')
e[['Rest. Move FE']]      <- readRDS('tmp_output/est-abr_log_IV_nonfrFe.rds')

MyTexReg(e, as.list(vl.bea)) %>%
  AddMidrules(c(
    vl.bea['gdp.pc.l']
  )) %>%
  cat(file = 'table7.tex')

# Table 8: IV In Germany
# -------------------------------------------------------------------------
e <- list()
e[['Free Move 1s']]       <- readRDS('tmp_output/est-ger_log_IV_fr1s.rds')
e[['Free Move 2s']]       <- readRDS('tmp_output/est-ger_log_IV_fr2s.rds')
e[['Free Move FE']]       <- readRDS('tmp_output/est-ger_log_IV_frFe.rds')
e[['Rest. Move 1s']]      <- readRDS('tmp_output/est-ger_log_IV_nonfr1s.rds')
e[['Rest. Move 2s']]      <- readRDS('tmp_output/est-ger_log_IV_nonfr2s.rds')
e[['Rest. Move FE']]      <- readRDS('tmp_output/est-ger_log_IV_nonfrFe.rds')

MyTexReg(e, as.list(vl.bea)) %>%
  AddMidrules(c(
    vl.bea['gdp.pc.l']
  )) %>%
  cat(file = 'table8.tex')


# Table A4: RE Free Move Abroad and InGermany Schengen and non-Schengen specifications
# -------------------------------------------------------------------------
e <- list()
e[['Abr. FE (Free Move)']]     <- readRDS('tmp_output/est-abr_log_re_frFE.rds')
e[['Abr. RE (Free Move)']] <- readRDS('tmp_output/est-abr_log_re_frRE.rds')
e[['Ger. FE (Free Move)']]     <- readRDS('tmp_output/est-ger_log_re_frFE.rds')
e[['Ger. RE (Free Move)']] <- readRDS('tmp_output/est-ger_log_re_frRE.rds')

MyTexReg(e, as.list(vl.bea)) %>%
  AddMidrules(c(
    vl.bea['gdp.pc.l']
  )) %>%
  cat(file = 'tablea4.tex')

# Table A5: RE Restricted Move Abroad and InGermany Schengen and non-Schengen specifications
# -------------------------------------------------------------------------
e <- list()
e[['Abr. FE (Rest. Move)']]     <- readRDS('tmp_output/est-abr_log_re_nonfrFE.rds')
e[['Abr. RE (rest. Move)']] <- readRDS('tmp_output/est-abr_log_re_nonfrRE.rds')
e[['Ger. FE (Rest. Move)']]     <- readRDS('tmp_output/est-ger_log_re_nonfrFE.rds')
e[['Ger. RE (Rest. Move)']] <- readRDS('tmp_output/est-ger_log_re_nonfrRE.rds')

MyTexReg(e, as.list(vl.bea)) %>%
  AddMidrules(c(
    vl.bea['gdp.pc.l']
  )) %>%
  cat(file = 'tablea5.tex')

