#setwd()

source('00-libraries.R')

source('prep_abr.R')
d.country <- d %>%
  group_by(country.iso3, year) %>%
  summarise_each(funs(first)) %>%
  ungroup()

sample.su <- d.country %>%
  summarise(mig         = sum(mig.total, na.rm = TRUE),
            trade       = sum(trade, na.rm = TRUE),
            students.fy = sum(students.fy, na.rm = TRUE),
            countries   = length(unique(country.iso3))) %>%
  gather(variable, sum.sample)


contr <- readRDS('controls-cy.rds')

full.su <- contr %>%
  # filter(country.iso3 != 'AUT') %>%
  # filter(country.iso3 != 'CHE') %>%
  summarise(mig         = sum(mig.total, na.rm = TRUE),
            trade       = sum(trade, na.rm = TRUE),
            students.fy = sum(students.fy, na.rm = TRUE),
            countries   = length(unique(country.iso3))) %>%
  gather(variable, sum.world)

full.su %>%
  left_join(sample.su) %>%
  mutate(perc = round(sum.sample / sum.world, 2) * 100)


library(choroplethr)
library(choroplethrMaps)

data(country.regions)
cc <- read.csv('../data/0_raw/country_codes_de_wikipedia/country_codes.csv',
               stringsAsFactors = FALSE) %>%
  select(iso2c = iso2, country.iso3 = iso3) %>%
  left_join(country.regions) %>%
  select(-iso2c)

cc.sample <- d.country %>%
  group_by(country.iso3) %>%
  summarise() %>%
  mutate(insample = TRUE)

cc.controls <- contr %>%
  group_by(country.iso3) %>%
  summarise() %>%
  mutate(inworld = TRUE)

library(ggplot2)
choro <- cc %>%
  left_join(cc.sample) %>%
  left_join(cc.controls) %>%
  filter(!is.na(region)) %>%
  mutate(value = ifelse(!is.na(inworld), 'inworld', 'notlisted'),
         value = ifelse(!is.na(insample), 'insample', value)) %>%
  select(region, value) %>%
  CountryChoropleth$new()
choro$ggplot_scale <- scale_fill_brewer(palette = 'Accent')
choro$render()
dev.copy2pdf(file = 'map.pdf')

contr %>%
  filter(!(country.iso3 %in% unique(d.country$country.iso3))) %>%
  group_by(country.iso3) %>%
  summarise(mig         = sum(mig.total, na.rm = TRUE),
            trade       = sum(trade, na.rm = TRUE),
            students.fy = sum(students.fy, na.rm = TRUE),
            countries   = length(unique(country.iso3))) %>%
  arrange(desc(students.fy))
